
%define 	module	HTMLTemplate

Summary:	Another (X)HTML template Python module
Summary(pl.UTF-8):	Kolejny moduł Pythona do przetwarzania szablonów (X)HTML
Name:		python-%{module}
Version:	1.4.1
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://freespace.virgin.net/hamish.sanderson/%{module}-%{version}.tar.gz
# Source0-md5:	74bbaee9b851b17b5c5cd1658ea42897
URL:		http://freespace.virgin.net/hamish.sanderson/htmltemplate.html
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTMLTemplate converts (X)HTML templates into a simple Python object
model that can be manipulated by ordinary Python scripts. Fast,
powerful and easy to use.

%description -l pl.UTF-8
HTMLTemplate przekształca szablony (X)HTML w proste drzewo obiektów w
Pythonie, które może być przetwarzane przy pomocy skryptów pisanych w
tym języku. Moduł HTMLTemplte jest szybki, efektywny i łatwy w użyciu.

%package doc
Summary:	Documentation for HTMLTemplate module
Summary(pl.UTF-8):	Dokumentacja do modułu HTMLTemplate
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for HTMLTemplate Python
module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona HTMLTemplate.

%package examples
Summary:	Examples for HTMLTemplate module
Summary(pl.UTF-8):	Przykłady do modułu HTMLTemplate
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for HTMLTemplate Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona HTMLTemplate.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/HTMLTemplate.py[oc]

%files doc
%defattr(644,root,root,755)
%doc Documentation/{Manual.txt,Tutorial_1.txt,Tutorial_2.txt,FAQ.txt}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-HTMLTemplate.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 174b06f
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 871f0c3
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 97ea04b
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 76f902b
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 67712a8
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1c1fe3b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bb4c061
- converted to UTF-8

* Sat Feb 25 2006 ciesiel <ciesiel@pld-linux.org> a47a475
- upgraded to version 1.4.1 STBR to AC

* Sun Jan 09 2005 saq <saq@pld-linux.org> 243bedc
- missing pyreqeq

* Sat Nov 27 2004 saq <saq@pld-linux.org> 5100e07
- massive attack: added missing python-devel epoch do BR

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> afeb282
- spelling fixes, uppercases, etc.

* Sat Aug 21 2004 Marcin Gajda <m.gajda@functional-software.com> 4582fd4
- version 1.1.1

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> caed958
- removed %%include /usr/lib/rpm/macros.python

* Thu Jun 17 2004 Marcin Gajda <m.gajda@functional-software.com> 0bd5b40
- version 1.1.0

* Wed Jun 02 2004 Marcin Gajda <m.gajda@functional-software.com> 13fdea5
- updated to 1.0.0
- FAQ file included
- new Tutorial

* Wed May 26 2004 ankry <ankry@pld-linux.org> 9c8ac0f
- capitalization, tabs, other cosmetics

* Thu May 20 2004 Marcin Gajda <m.gajda@functional-software.com> cdc238e
- typos

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> d037481
- s/-l p$/-l pl/ in subpackage descriptions

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> 77a9e58
- s/doc/examples/ in -examples subpackage description

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> bd14d20
- initial release

